Subject: Re: [bug#76377] gnu: packages: remove g-golf and nomad

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 28 Feb 2025 00:29:38 +0100

Both sides of the argument do not want to set precedent for funny
package names.  One finds guile-g-golf is adulterated (I presume so
without knowing David’s reasons).  But a package name g-golf does not
indicate that it is “just” Guile binding helper glue.  Again, we are
talking about looking at dependency listings.  We do have this
consistent naming for other Guile libraries like Sly or even Hoot.

Since the naming is generally consistent, I do not think Leo’s argument
that we are not strict about naming elsewhere holds.  This naming policy
is written down for Perl, Python, CommonLisp, Elm, Rust and is applied
by importers.  We are talking about naming of Guix packages in Guix
source code, after all.  We are definitely no longer talking about names
of the G-Golf project.

Closing this bug again.

Regards,
Florian